> ## Documentation Index
> Fetch the complete documentation index at: https://docs-qa.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test SMS to the specified phone number

> Send a test SMS to the specified phone number. This is for testing purposes only.
Fixed message content is used for testing, and the message will not be persisted in the database.



## OpenAPI

````yaml https://api-qa.interactly.ai/api-docs/sms/api.json post /sms/v1/test/messages
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-qa.interactly.ai
    description: API Server
security: []
paths:
  /sms/v1/test/messages:
    post:
      tags:
        - SMS Libraries and APIs
      summary: Send a test SMS to the specified phone number
      description: >-
        Send a test SMS to the specified phone number. This is for testing
        purposes only.

        Fixed message content is used for testing, and the message will not be
        persisted in the database.
      operationId: sms_listener_service_api_send_sms_v1_test_messages_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantSMSPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    AssistantSMSPayload:
      properties:
        to:
          anyOf:
            - type: string
            - type: 'null'
          title: To
          description: Phone number to which SMS to be sent.
        from_:
          anyOf:
            - type: string
            - type: 'null'
          title: From
          description: Phone number from which SMS is received.
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
          description: Message content of SMS
        assistantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistantid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        botconfig:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Botconfig
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
          default: {}
      type: object
      title: AssistantSMSPayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard-qa.interactly.ai/api-keys).

````